package project.brain.packet;

import java.util.ArrayList;

import project.brain.component.OpinionsPerNode;

public class TreeInfoListPacket extends Packet{
	private ArrayList<OpinionsPerNode> treeList;

	public TreeInfoListPacket(int header){
		setHeader(header);
	}
	public void setTreeInfoList(ArrayList<OpinionsPerNode> treeList) {
		this.treeList = treeList;
	}
	
	public ArrayList<OpinionsPerNode> getTreeInfoList() {
		return treeList;
	}
	
	public void clearTreeInfoList() {
		OpinionsPerNode tmp = treeList.get(0);
		treeList.clear();
		treeList.add(tmp);
	}
}
